%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Log Normal
% XX November 2006, Release 0.9
%
% Input:
%
% Output:
%
% Internal Variables:
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function y = log_normal(p, sigma)
% generates log-normal amplitudes
% sigma - standard deviation of variable log
% p - average power

m = 10*log10(p)-sigma^2*log(10)/20;
x = sigma*randn(size(m))+m;
y = 10.^(x/10);
